PATCH
Update manual bank account

Authorizations

x-api-key
string
header
required

Headers

x-tenant
string
required

Tenant identifier

Path Parameters

accountId
string
required

Body

application/json
iban
string
required

International Bank Account Number

Example:

"SA0380000000608010167519"

attachmentId
string
required
isPrimary
boolean
bankNameEn
string

Bank name in English

Example:

"Bank of Saudi"

bankNameAr
string

Bank name in Arabic

Example:

"بنك السعودي"

swiftCode
string

SWIFT/BIC code of the bank

Example:

"BOSAUS3N"

bankCode
string

Bank code if available

Example:

"123456"

holderName
string

Name of the account holder

Example:

"John Doe"

status
enum<string>

Current status of the bank account at the bank

Available options:
Active,
Blocked,
Closed,
InLiquidation
Example:

"Active"

Response

Success

id
string
required

Dal's database Id

Example:

"b50c7893-cd88-42bd-9fdd-b94f493315f9"

createdAt
string<date-time>
required

Create timestamp

Example:

"2025-12-02 12:00:00.000"

updatedAt
string<date-time>
required

Update timestamp

Example:

"2025-12-04 12:00:00.000"

iban
string
required

International Bank Account Number

Example:

"GB33BUKB20201555555555"

primary
boolean
required

Indicates if this is the primary bank account

Example:

true

bankNameEn
object | null
required

Bank name in English

Example:

"Bank of Saudi"

bankNameAr
object | null
required

Bank name in Arabic

Example:

"بنك السعودي"

swiftCode
object | null
required

SWIFT/BIC code of the bank

Example:

"BOSAUS3N"

bankCode
object | null
required

Bank code if available

Example:

"123456"

holderName
object | null
required

Name of the account holder

Example:

"John Doe"

status
enum<string> | null
required

Current status of the bank account

Available options:
Active,
Blocked,
Closed,
InLiquidation,
null
Example:

"Active"

source
enum<string>
required

Source of the bank account information

Available options:
Manual,
Automatic
Example:

"Automatic"

verificationStatus
enum<string>
required

Verification lifecycle status of the bank account

Available options:
Submitted,
Verified,
Rejected
Example:

"Verified"

attachment
object | null

Attachment related to the bank account (manual verification proof)

entity
object | null

Entity owning the bank account